<?xml version="1.0" encoding="UTF-8"?>
    <?xml-stylesheet type="text/xsl" href="extension.xsl"?>
    <extension>
      <name>Digital Video Players</name>
      <category>home</category>
      <window width="700" height="430"/>
      <defaults>
        <node key="overall.video.mode" value="Bitrate-based"/>
        <node key="overall.video.format" value="XviD"/>
        <node key="overall.video.dar" value="Custom"/>
        <node key="overall.audio.encoder" value="LAME MP3"/>
        <node key="audioenc.lame.mode" value="VBR"/>
        <node key="overall.container.external" value="false"/>
        <node key="videoenc.xvid.profile" value="Unrestricted"/>
        <node key="videoenc.xvid.bframes" value="0"/>
        <node key="videofilter.frame.enabled" value="true"/>
		    <node key="videofilter.crop.mode" value="Disabled"/>
      </defaults>
      <elements>
	  	<element type="radiobox" id="aspect">
		  <option text="16:9" selected="true">
		  	<node key="overall.video.darw" value="16"/>
        <node key="overall.video.darh" value="9"/>
      </option>
      <option text="4:3">
        <node key="overall.video.darw" value="4"/>
        <node key="overall.video.darh" value="3"/>
		  </option>
		</element>
        <element type="combobox" id="crop">
          <option text="No Cropping">
		    <node key="videofilter.crop.mode" value="Disabled"/>
          </option>
          <option text="Auto Crop">
		    <node key="videofilter.crop.mode" value="Crop to fit"/>
          </option>
          <option text="Auto Expand">
		    <node key="videofilter.crop.mode" value="Expand to fit"/>
          </option>
        </element>
        <element type="combobox" id="video">
          <option text="MPEG-4" selected="true">
            <node key="overall.video.enabled" value="true"/>
            <node key="overall.video.format" value="XviD"/>
            <node key="overall.container.format" value="AVI"/>
          </option>
        </element>
        <element type="combobox" id="res">
          <option text="Original">
            <node key="videofilter.scale.enabled" value="false"/>
          </option>
          <option text="720x576">
            <node key="videofilter.scale.enabled" value="true"/>
            <node key="videofilter.scale.width" value="720"/>
            <node key="videofilter.scale.height" value="576"/>
          </option>
          <option text="720x480">
            <node key="videofilter.scale.enabled" value="true"/>
            <node key="videofilter.scale.width" value="720"/>
            <node key="videofilter.scale.height" value="480"/>
          </option>
          <option text="512x364">
            <node key="videofilter.scale.enabled" value="true"/>
            <node key="videofilter.scale.width" value="512"/>
            <node key="videofilter.scale.height" value="384"/>
          </option>
        </element>
        <element type="combobox" id="fps">
          <option text="29.97">
            <node key="videofilter.frame.fps" value="30000"/>
            <node key="videofilter.frame.fpsScale" value="1001"/>
          </option>
          <option text="25" selected="true">
            <node key="videofilter.frame.fps" value="25"/>
            <node key="videofilter.frame.fpsScale" value="1"/>
          </option>
          <option text="24">
            <node key="videofilter.frame.fps" value="24"/>
            <node key="videofilter.frame.fpsScale" value="1"/>
          </option>
          <option text="20">
            <node key="videofilter.frame.fps" value="20"/>
            <node key="videofilter.frame.fpsScale" value="1"/>
          </option>
        </element>
        <element type="combobox" id="bitrate">
          <option text="1000">
            <node key="overall.video.bitrate" value="1000"/>
          </option>
          <option text="800">
            <node key="overall.video.bitrate" value="800"/>
          </option>
          <option text="600">
            <node key="overall.video.bitrate" value="600"/>
          </option>
          <option text="400">
            <node key="overall.video.bitrate" value="400"/>
          </option>
        </element>
        <element type="combobox" id="aq">
          <option text="Highest Quality">
            <node key="audioenc.lame.quality" value="8"/>
          </option>
          <option text="Higer Quality">
            <node key="audioenc.lame.quality" value="5"/>
          </option>
          <option text="Normal Quality" selected="true">
            <node key="audioenc.lame.quality" value="3"/>
          </option>
          <option text="Lower Quality">
            <node key="audioenc.lame.quality" value="2"/>
          </option>
          <option text="Lowest Quality">
            <node key="audioenc.lame.quality" value="0"/>
          </option>
        </element>
      </elements>
    </extension>
